#Hedge Maze treasure 1
from eventAPI import *
from APIUtils import *

rthedgemazechest1 = 0

def fireEvent(e):
   global rthedgemazechest1
   rthedgemazechest1 = getTag(e, "rthedgemazechest1")
   if (rthedgemazechest1 == 1):
      return 1
   else:
      showMessage(e, ["You find a small cache of equipment carefully hidden within the hedge."])
      chest(e, -1, 0, dice (50, 4, 1), ["Ethereal Dagger"], dice(1, 4, 1), "Treasure")
   rthedgemazechest1 = 1
   setTag(e, "rthedgemazechest1", rthedgemazechest1)
   return 1
